#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int n, x, B[100000], broj;
    long long int i=0, k=0, ukupno=0, d1, d2;
    long long int max, min;
    scanf("%lli %lli", &n, &x);
    for(k=0;k<n;k++)
    {
        scanf("%lldi", &broj);
        B[k] = broj;
    }
    max = broj;
    min = broj;
    for(i=0;i<n;i++)
    {
        if(B[i]> max)
        {
            max = B[i];
        }
        else if(B[i]<min)
        {
            min = B[i];
        }
    }
    if(min>x)
    {
        ukupno = max-x;
    }
    else if(min<x&&max<x)
    {
        ukupno = (min<0&&x>=0)*(x+abs(min)) + (min>0)*(abs(x-min));
    }
    else if(min<x&&max>x)
    {
        d1 = x - min;
        d2 = max - x;
        if(d1<d2)
        {
            ukupno = 2 * d1 + d2;
        }
        else
        {
            ukupno = d1 + 2 * d2;
        }
    }
    printf("%lld", ukupno);
    return 0;
}